# Update a Receive Account

Receive accounts of a transaction can only be updated if no transactions have been forwarded for delivery in that particular receive account. Hence, there should be no transactions to a receive account or active transactions should have Delivery Status as NONE and in some cases, DELIVERY HOLD.&#x20;

#### `PATCH /users/{{user_id}}/receive-users/{{receive_user_id}}/accounts/{{receive_user_account_id}}`

{% tabs %}
{% tab title="Details" %}
**Bank**&#x20;

| **Fields**       | **Updatable** |
| ---------------- | ------------- |
| account\_number  | Yes           |
| account\_type    | Yes           |
| bank\_id         | Yes           |
| branch\_location | Yes           |
| branch\_id       | Yes           |
| swift\_bic\_code | Yes           |
| rtn\_number      | Yes           |

**Wallet**

| **Fields**   | **Updatable** |
| ------------ | ------------- |
| msisdn       | Yes           |
| wallet\_type | No            |
| payer\_id    | Yes           |
| {% endtab %} |               |

{% tab title="Request Sample" %}
**Bank**

```
curl --location -g --request PATCH '{{url}}/users/{{user_id}}/receive-users/{{receive_user_id}}/accounts/{{receive_user_account_id}}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "account_number": "0037275350",
     "payout_method": "BANK_DEPOSIT",
    "account_type": "CHECKING",
    "bank_id": 4,
    "branch_id": 45,
    "branch_location": 1,
    "rtn_number": "4342492422",
    "swift_bic_code": "OCCICOBCBO8"
}'
```

**Wallet**

```
curl --location -g --request PATCH '{{url}}/users/{{user_id}}/receive-users/{{receive_user_id}}/accounts/{{receive_user_account_id}}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
        "msisdn": "237653801972",
        "wallet_type": "TELS",
        "payer_id": 42,
        "payout_method": "WALLET"
    }'
```

{% endtab %}

{% tab title="Response Sample" %}
**Bank**

```
{
    "account_number": "0037275350",
    "account_type": "CHECKING",
    "bank_id": 4,
    "branch_id": 45,
    "branch_location": "1",
    "created_at": "2022-09-30T04:48:28.26789",
    "id": "f29e44f7-633d-46cc-bbe2-6197e193eae1",
    "payout_method": "BANK_DEPOSIT",
    "status": "UNVERIFIED",
    "swift_bic_code": "OCCICOBCBO8",
    "user_id": "51a13748-2684-4ee3-a630-46f2fabf694f"
}
```

**Wallet**

```
{
    "created_at": "2022-09-30T04:56:52.396836",
    "id": "20e09eb7-d9e4-4aaa-b17b-e1d899b208c0",
    "msisdn": "237653801972",
    "payout_method": "WALLET",
    "status": "VERIFIED",
    "user_id": "cfafc7b6-7756-45e7-8bb1-9f2f0df4554a",
    "wallet_type": "TEL"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/update-a-receive-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
